Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-sdl2/dialogs.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
dialogs.h File Reference
`#include <SDL2/SDL.h>`
`#include "dialogs_g.h"`

Go to the source code of this file.

## Functions

void | popup_advanced_terrain_dialog (struct tile *ptile, Uint16 pos_x, Uint16 pos_y)
void | popdown_advanced_terrain_dialog (void)
const char * | sdl_get_tile_defense_info_text (struct tile *ptile)
void | put_window_near_map_tile (struct widget *pwindow, int window_width, int window_height, struct tile *ptile)
void | popup_unit_upgrade_dlg (struct unit *punit, bool city)
void | popup_unit_disband_dlg (struct unit *punit, bool city)
void | popup_government_dialog (void)
void | popdown_notify_goto_dialog (void)
void | nationset_changed (void)

## Function Documentation

## ◆ nationset_changed()

void nationset_changed | ( | void |  | ) |

Nationset selection update

Definition at line 3556 of file dialogs.c.

Referenced by option_gui_update(), and races_dialog::races_dialog().

## ◆ popdown_advanced_terrain_dialog()

void popdown_advanced_terrain_dialog | ( | void |  | ) |

Popdown a generic dialog to display some generic information about terrain : tile, units , cities, etc.

Definition at line 1414 of file dialogs.c.

Referenced by adv_unit_select_all_callback(), adv_unit_select_callback(), adv_unit_sentry_idle_callback(), change_production_callback(), cma_callback(), exit_advanced_terrain_dlg_callback(), goto_here_callback(), hurry_production_callback(), paradrop_here_callback(), patrol_here_callback(), popdown_all_game_dialogs(), terrain_info_callback(), unit_help_callback(), and zoom_to_city_callback().

## ◆ popdown_notify_goto_dialog()

void popdown_notify_goto_dialog | ( | void |  | ) |

Popdown the notify goto dialog.

Definition at line 456 of file dialogs.c.

Referenced by popdown_all_game_dialogs().

## ◆ popup_advanced_terrain_dialog()

void popup_advanced_terrain_dialog | ( | struct tile * | ptile,
|  | Uint16 | pos_x,
|  | Uint16 | pos_y
| ) |  |

Popup a generic dialog to display some generic information about terrain : tile, units , cities, etc.

Definition at line 1694 of file dialogs.c.

Referenced by button_down_on_map(), and button_up_on_map().

## ◆ popup_government_dialog()

void popup_government_dialog | ( | void |  | ) |

Popup a dialog asking the player what government to switch to.

Definition at line 2449 of file dialogs.c.

Referenced by revolution_callback().

## ◆ popup_unit_disband_dlg()

void popup_unit_disband_dlg | ( | struct unit * | punit,
|  | bool | city
| ) |  |

Open unit disband dialog.

Definition at line 875 of file dialogs.c.

Referenced by disband_units_orders_city_dlg_callback(), and unit_order_callback().

## ◆ popup_unit_upgrade_dlg()

void popup_unit_upgrade_dlg | ( | struct unit * | punit,
|  | bool | city
| ) |  |

Open unit upgrade dialog.

Definition at line 680 of file dialogs.c.

Referenced by popup_upgrade_dialog(), unit_order_callback(), upgrade_callback(), and upgrade_units_orders_city_dlg_callback().

## ◆ put_window_near_map_tile()

void put_window_near_map_tile | ( | struct widget * | pwindow,
|  | int | window_width,
|  | int | window_height,
|  | struct tile * | ptile
| ) |  |

Place window near given tile on screen.

Definition at line 108 of file dialogs.c.

Referenced by popup_action_selection(), popup_bribe_dialog(), popup_hurry_production_dialog(), popup_incite_dialog(), popup_pillage_dialog(), popup_sabotage_dialog(), popup_terrain_info_dialog(), popup_unit_disband_dlg(), popup_unit_upgrade_dlg(), and unit_select_dialog_popup().

## ◆ sdl_get_tile_defense_info_text()

const char * sdl_get_tile_defense_info_text | ( | struct tile * | ptile | ) |

Return a (static) string with terrain defense bonus. This does not include bonuses some units may get out of bases.

Definition at line 1303 of file dialogs.c.

Referenced by redraw_unit_info_label().